Package org.h2gis.functions.spatial.earth

## Class ST_Svf

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.earth.ST_Svf

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Svf
    extends org.h2gis.api.DeterministicScalarFunction

This function will be used to compute the Sky View Factor based on geometries

Author:
  Erwan Bocher, CNRS, Jérémy Bernard, CNRS, Nicolas Fortin, IFSTTAR

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Svf()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addSegments​(org.locationtech.jts.geom.Coordinate[] coords, org.locationtech.jts.geom.GeometryFactory factory, org.locationtech.jts.index.strtree.STRtree strtree)` Tranform to segments and add then in a STRtree if they intersect a buffer geometry
`static Double` `computeSvf​(org.locationtech.jts.geom.Point pt, org.locationtech.jts.geom.Geometry geoms, double distance, int rayCount)` The method to compute the Sky View Factor
`static Double` `computeSvf​(org.locationtech.jts.geom.Point pt, org.locationtech.jts.geom.Geometry geoms, double distance, int rayCount, int stepRayLength)` The method to compute the Sky View Factor
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Svf

    public ST_Svf()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### computeSvf

    public static Double computeSvf​(org.locationtech.jts.geom.Point pt,
                                    org.locationtech.jts.geom.Geometry geoms,
                                    double distance,
                                    int rayCount)
                             throws SQLException

The method to compute the Sky View Factor

Parameters:
  `pt` -
  `distance` -
  `rayCount` - number of rays
  `geoms` -
Returns:
Throws:
  `SQLException`

#### computeSvf

    public static Double computeSvf​(org.locationtech.jts.geom.Point pt,
                                    org.locationtech.jts.geom.Geometry geoms,
                                    double distance,
                                    int rayCount,
                                    int stepRayLength)
                             throws SQLException

The method to compute the Sky View Factor

Parameters:
  `pt` -
  `distance` -
  `rayCount` - number of rays
  `stepRayLength` - length of sub ray used to limit the number of geometries when requested
  `geoms` -
Returns:
Throws:
  `SQLException`

#### addSegments

    public static void addSegments​(org.locationtech.jts.geom.Coordinate[] coords,
                                   org.locationtech.jts.geom.GeometryFactory factory,
                                   org.locationtech.jts.index.strtree.STRtree strtree)

Tranform to segments and add then in a STRtree if they intersect a buffer geometry

Parameters:
  `coords` - the coordinates of the input geometry
  `factory` - the geometry factory
  `strtree` - the STRtree to store the segments